/**
 * @file
 * Subtheme specific CSS.
 */

/* Please keep this as simple as possible. Less is more */

/* Universal Styles */
* {
    font-family:Sintony;
}
#page {
    background-color:transparent !important;
    background-image:url(/sites/sbrg.ucsd.edu/themes/sbrg/img/home-bg.jpg) !important;
    background-size:cover;
}
/* .path-frontpage .navbar {
    background-color: rgba(34, 74, 109, .8) !important;
} */
.btn-primary {
  background-color: #19417B;
}
#navbar-main {
  padding: 0;
}
#navbar-main .nav-link {
    color:#0f75bc;
    text-transform:uppercase;
    font-weight: 600;
}
#navbar-main .row {
  width: 100%;
}
.dropdown-menu {
  margin: 0 !important;
  border-radius: 0;
  background: #19417b;
}
.dropdown-item {
  padding: 0;
}
.dropdown-menu a {
  color: #fff;
  width: 100%;
  height: 100%;
  display: inline-block;
  padding: .25rem 1.5rem;
}
.navbar-nav li:hover {
  background: #0f75bc;
  color: #19417b;
}
.dropdown-menu li:hover {
  background: #0f75bc;
}
.dropdown-menu li:hover a {
  text-decoration: none;
  color: #fff;
  width: 100%;
}
.navbar-brand {
    color:#FFF;
    font-size:2rem;
    text-transform:uppercase;
    font-weight:300;
    color:transparent;
}
.navbar-brand :not(img) {
    display:none;
}
h1.title {
    color:#d34e0d;
    text-transform:uppercase;
}
.region-featured-top {
    justify-content:center;
}


.twitter-timeline .r-1q9bdsx {
  border-radius: 0 !important;
}


.featured-bottom {
    background-color:#FFF;
}
.featured-bottom .container {
    display:flex;
}
.featured-bottom .region-featured-bottom-third > div {
    padding:0;
    border:none;
}
.region-featured-bottom-second {
  background: #fff;
}
.region-featured-bottom-second img {
    width:100%;
    height:auto;
}
.region-featured-bottom-second .views-row {
    margin-bottom:1rem;
}
.region-featured-bottom-second .views-row:last-child {
    margin-bottom:0;
}
.path-publications [class^="col-"] img {
    width:100%;
    height:auto;
}
.field--name-field-private-files .field__items .field__item {
  border: 1px solid #055a8e;
}

/* Header */
#navbar-main {
  /* border-top: 2px solid #fff; */
}
#navbar-main img {
    max-width:150px;
}
.img-responsive img,
.carousel-item img {
    width:100%;
    height:auto;
}

/* Home Page */
.bio-info {
  background-color: #19417B;
  color: #fff;
  height: fit-content;
  padding: 4em;
}
.path-frontpage carousel
.path-frontpage .carousel {
    padding: 30px 0 60px 0;
    height: 300px;
    width: 100%;
}
.path-frontpage .carousel-caption {
    display:none !important;
}
.path-frontpage .carousel-indicators {
    bottom:15px;
}
.carousel-control-next, .carousel-control-prev {
  opacity: 1;
}
.path-frontpage .carousel-indicators li {
    width:12px;
    height:12px;
    border-radius:50%;
}
.path-frontpage .carousel-indicators .active {
    background-color:#FC8900;
}
.path-frontpage aside.featured-first {
  padding: 4em 0;
}
.path-frontpage .header {
  background-image: url('/sites/sbrg.ucsd.edu/themes/sbrg/img/Geisel-Library-UCSanDiego-ErikJepsen.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.path-frontpage #navbar-top {
  background-color:transparent !important;
  display: flex;
  /* align-items: end; */
  align-items: flex-start;
  justify-content: center;
  height: 365px;
}
.path-frontpage .logo-bg {
  /* background: rgba(242, 236, 236, .4); */
  padding: 1em 3em;
  width: 100%;
}

.logo-bg img {
  max-height: 100px;
}
.path-frontpage .logo-bg img {
  max-height: 150px;
  /* max-height: 200px; */
}
.path-frontpage .node__content {
  margin-top: 0;
}

.path-frontpage #main-wrapper.layout-main-wrapper {
  background: #000;
  color: #fff;
  margin-bottom: 4em;
}
/* .path-frontpage .about-us {
  background-image: url('/sites/sbrg.ucsd.edu/themes/sbrg/img/Academics-and-research-22-UCSanDiego-ErikJepsen.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-bottom: -100px;
}
.path-frontpage .about-us .col {
  padding: 5em;
}

.path-frontpage .about-us .col {
  background: rgba(34, 74, 109, .8);
}
.path-frontpage .featured-bottom {
  background-image: url('/sites/sbrg.ucsd.edu/themes/sbrg/img/home-bg.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.path-frontpage .block-views-blockresearcher-snapshots-block-1 h2 {
  padding-top: 20px;
}
.path-frontpage .block-views-blockresearcher-snapshots-block-1 .view-content {
  padding: 1em;
} */
.block-views-blockpublications-block-2 {
  background-color: #f4f4f4;
}
.block-views-blockpublications-block-2 h2 {
  padding-top: 12px;
}
.block-views-blockpublications-block-3 h2 {
  padding-top: 12px;
}
.region-featured-bottom-second {
  padding: 0em 2em 2em 2em;
}

#main {
  padding: 1em;
}
.path-frontpage #main {
  padding: 0;
}

/* HOMEPAGE SLICES */
.slice_content_container h1, .slice_content_container h2, .slice_content_container h1 + p, .slice_content_container h2 + p, .slice_content_container h1 + p + p, .slice_content_container h2 + p + p, .block-page-title-block h1 {
    animation-duration: 1s;
    animation-fill-mode: both;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: both
}

.slice_content_container h1, .slice_content_container h2, .slice_content_container h1 + p, .slice_content_container h2 + p, .slice_content_container h1 + p + p, .slice_content_container h2 + p + p, .block-page-title-block h1 {
    opacity: 0
}

.slice_content_container h1, .slice_content_container h2, .slice_content_container h1 + p, .slice_content_container h2 + p, .slice_content_container h1 + p + p, .slice_content_container h2 + p + p, .block-page-title-block h1 {
    opacity: 1;
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
}
.slice_content_container h1 + p, .slice_content_container h2 + p {
    animation-delay:.5s;
}
.slice_content_container h1 + p + p, .slice_content_container h2 + p + p {
    animation-delay:1s;
}
.slice_header {
    color:#484949;
}
.slice_content h2 {
    text-transform:uppercase;
    font-weight:500;
    font-size:2.5rem;
}
.slice_content h2 a,
#block-publicationsslicenew .slice_content h2 a {
  color:#2d86c4;
  text-decoration: none;
}
.slice_content p {
    font-size:1rem;
    font-weight:400;
}
.slice_link a {
    background-color:#ffcd00;
    color:#2d86c4;
    padding:.8em 1.5em;
    border-radius:0;
    letter-spacing:1px;
    text-transform:uppercase;
    font-weight:700;
    display:inline-block;
    font-size:.875rem;
}

.slice-block .view-content > div {
    min-height:435px;
    position:relative;
}
.slice_container {
    /* min-height:435px; */
    /* height:435px; */
    /* Too thin. Let's go higher */
    height:500px;
    position:relative;
}
.slice_container.slice_tall {
    height:800px;
}
.slice_container.slice_fill_content {
    height:auto;
}
.slice_background_image_container {
    position:absolute;
    width:100%;
    height:100%;
}
.slice_background_image_container .row {
    height:100%;
}
.slice_background_image, .slice_background_image_container .views_img {
    height:100%;
    background-repeat:no-repeat;
}
.slice_background_image_container .bg_cover .slice_background_image {
    background-size:cover;
}
.slice_content_container {
    height:100%;
}
.slice_content_container .container {
    height:100%;
}
.slice_content_container > .container > .row {
    height:100%;
    align-items:center;
}
.slice_full_text {
    position:relative;
}
.slice_bg_darken {
    background-color:rgba(0,0,0,.3);
}
.slice_bg_darken h1, .slice_bg_darken h2, .slice_bg_darken .slice_content > p {
    text-shadow:0 6px 12px rgba(0,0,0,.5);
}
.slice_bg_darken .slice_content > p .btn {
    text-shadow:none;
}
.slice_content h1 {
    line-height:3.75rem;
}
.slice_bg_gray {background-color:#f4f4f4;}
.slice_bg_navy, .card-header.bg_navy {background-color:#182b49;}
.slice_bg_blue {background-color:#006a96;}
.slice_bg_ltblue{background-color:#EDF5FC;}
.slice_bg_black{background-color:#000;}
.slice_bg_brown {background-color:#C69214;}
.slice_bg_gold {background-color:#FFCD00;}
.slice_bg_yellow {background-color:#F3E500;}
.slice_bg_offwhite {background-color:#FFFDF6;}
.slice_background_image_container.bg_navy {background-color:#182b49}
.slice_background_image_container.bg_gold {background-color:#FFCD00}
.slice_content_container.bg_navy .slice_header {color:#fff}
.slice_content_container.bg_navy .slice_content {color:#fff}
.slice_content_container.bg_blue .slice_header {color:#fff}
.slice_content_container.bg_blue .slice_content {color:#fff}
.slice_content_container.bg_gold .slice_header {color:#484849}
.slice_content_container.bg_gold .slice_content {color:#484849}
.slice_content_container.bg_gold .slice_link a {background-color:#006A96;color:#fff;}
.bg_position_center > div {background-position:center;background-size:auto 100% !important;background-repeat:no-repeat;}
.bg_position_center {text-align:center;}

.bg_y_position_top > div {background-position:top;}
.bg_y_position_bottom > div {background-position:bottom;}
.bg_y_position_center > div {background-position:center;}

.highlighted {
  background-color: #1C2A48;
  border-top: 2px solid #fff;
}
.highlighted h1 {
  color: #fff;
  font-weight: 600;
  padding: 1rem 0;
  margin-bottom: 15px;
}

/* Twitter */
.region-featured-bottom-third .twitter-timeline {
  width: 100%;
}
/* Publications */
.block-views-blockpublications-block-2 {
  padding: 5rem 0;
}
.block-views-blockpublications-block-2 h2 a {
  color:#2d86c4;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 2.5rem;
}
#views-bootstrap-publications-block-3 .carousel-control-prev,
#views-bootstrap-publications-block-3 .carousel-control-next {
  background-color: rgba(211,211,211,0.18);
  padding: 1em;
}
#block-sbrg-content .col-sm-10 img {
  width: 100px;
}
.block-views-blockpublications-publications-block .card-header:hover {
  background-color: #3d3d3d26;
}
.block-views-blockpublications-publications-block .card-header a {
  height: 100%;
  width: 100%;
}
#views-exposed-form-publications-block-5 .row {
  align-items: end;
}
#views-exposed-form-publications-block-5 .form-actions {
  margin-left: 1em;
}


/* Researchers */
.node--type-researcher- h2 {
  text-transform: uppercase;
}
.node--type-researcher- h3 {
  font-size: 1.55rem;
}
.node--type-researcher- .field--type-image {
  float: right;
  margin: 0 0 0 1em;
}
.node--type-researcher- .field--name-field-title {
  font-size: 2rem;
  margin-bottom: 0.5em;
  font-weight: 600;
}
.node--type-researcher- .field__label {
  font-size: 2rem;
  margin-bottom: 0.5em;
}

/* Body Pages */

#custom-row-29935 .card-header {
  height: 275px;
  display: flex;
  align-items: center;
}

@media (min-width:768px) {
    #navbar-main {

    }
    #navbar-main .container {
        flex-wrap:wrap;
    }
    #navbar-main img {
        max-width:250px;
    }
    #navbar-main .navbar-collapse {
        width:100%;
    }
    #navbar-main .nav-item {
        flex-grow:1;
        text-align:center;
    }
    #navbar-main .nav-item .nav-link {
        color:#FFF;
    }
    #navbar-main .nav-item.dropdown .dropdown-menu {
        text-align:left;
    }
    #navbar-main nav {
        width:100%;

    }
    .navbar-expand-lg .navbar-collapse {
        justify-content:flex-end;
    }
}


@media (min-width:851px) {
  .site-footer__top .region {
    width:33%;
  }
}

@media (max-width: 576px) {
  .text-dark {
    color: #fff!important;
  }
  #block-aboutus .text-dark {
    background-color: rgba(0,0,0,.2);
  }
  #block-publicationsslicenew .text-dark a {
    color: #fff;
    text-decoration: underline;
  }
  #block-publicationsslicenew img {
    display: none;
  }
  #block-publicationsslicenew .col-md-8 p {
    display: flex;
    justify-content: center;
  }
}


/* Footer */
.site-footer {
    padding-bottom:0;
    padding-top:0;
}
footer .nav-item {
    display:block;
    width:100%;
}

footer .nav-link {
    color:#FFF;
    padding:.3125rem 1rem;
    padding-left:0;
}
footer a {
    color:#0071b3 !important;
}
footer * {
    color:#555;
}
footer .list-group-item {
    background-color:transparent;
    border:none;
}
.site-footer .block {
    border:none;
}
.site-footer__top .content li a {
    border:none;
}
.site-footer__bottom {
    border:none;
    /* background-color:#CCC; */
}
.site-footer__bottom .region-footer-fifth > div {
    text-align:center;
    margin-bottom:0;
    margin: 2em 0;
}
.site-footer__bottom p {
    padding:30px 0;
    margin:0;
}
.site-footer__bottom a {
    color:#555 !important;
}

/* Elements */
.view-frontpage {
    display:none;
}

.current-researchers h3 {
  width: 100%;
  padding-top: 1rem;
}

.faculty-profile {
  padding: 0.75em 0;
}

.current-researchers .view-content h3:first-child {
    border-top:none;
}

@media (max-width:992px) {
  h4 {
    font-size: 1.3rem;
  }
}

@media (max-width:576px) {
  nav .region-secondary-menu {
    margin: 2rem;
  }
  .path-frontpage #navbar-top {
    background-color: #102434 !important;
    height: auto;
  }
  .path-frontpage .layout--onecol {
    padding: 1rem;
  }
  .slice_content {
    backdrop-filter: brightness(0.5) !important;
  }
  .carousel-item h5 {
    margin-bottom: 2rem !important;
  }
  #block-publicationsslicenew {
    height: 575px;
  }
  #block-publicationsslicenew .carousel-item {
    padding: 3em;
    height: 450px;
  }
}
